Package org.drinkless.tdlib

# Class TdApi.StoryInteractionTypeView

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryInteractionType
org.drinkless.tdlib.TdApi.StoryInteractionTypeView

Enclosing class:
  `TdApi`

public static class TdApi.StoryInteractionTypeView extends TdApi.StoryInteractionType
A view of the story.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StoryInteractionType

  `TdApi.StoryInteractionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ReactionType`
  `chosenReactionType`
  Type of the reaction that was chosen by the viewer; may be null if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryInteractionTypeView()`
  A view of the story.
  `StoryInteractionTypeView(TdApi.ReactionType chosenReactionType)`
  A view of the story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chosenReactionType

    @Nullable public TdApi.ReactionType chosenReactionType
    Type of the reaction that was chosen by the viewer; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryInteractionTypeView

    public StoryInteractionTypeView()
    A view of the story.

  - ### StoryInteractionTypeView

    public StoryInteractionTypeView(TdApi.ReactionType chosenReactionType)
    A view of the story.
    Parameters:
      `chosenReactionType` - Type of the reaction that was chosen by the viewer; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StoryInteractionType`
    Returns:
      this.CONSTRUCTOR